Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2693 closed defect (fixed)

Update doc to reflect obsoleting rtems_clock_get()

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: doc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Ticket to reflect documentation change needed on the master but not on 4.11. When new documentation format is available for master, this needs to be accounted for.

Attachments (1)

0002-doc-user-clock.t-Remove-obsolete-rtems_clock_get.patch (8.0 KB) - added by Joel Sherrill on 04/14/16 at 21:53:01.

Download all attachments as: .zip

Change History (7)

comment:1 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:2 Changed on 06/14/17 at 13:50:19 by Sebastian Huber

Does it make sense to remove this function? It is just an API glue layer and adds no overhead to an application if not used.

comment:3 Changed on 10/10/17 at 06:06:29 by Sebastian Huber

Component: Documentationdoc

comment:4 Changed on 10/11/17 at 23:42:57 by Joel Sherrill <joel@…>

Resolution: fixed
Status: newclosed

In [changeset:"21e0fcd28f54d8d57106fe14b6e5ed13e2685be7/rtems-docs" 21e0fcd/rtems-docs]:

c-user: Update to reflect rtems_clock_get() being obsoleted.

Closes #2693.

comment:5 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:6 Changed on 04/15/20 at 14:57:16 by Sebastian Huber <sebastian.huber@…>

In [changeset:"e150e1689adc85348d0c2d70c4fb0c1a31226b69/rtems-docs" e150e16/rtems-docs]:

c-user: Add removed directive rtems_clock_get()

Be in line with Task Manager chapter.

Update #2693.

Note: See TracTickets for help on using tickets.